Package ru.bitel.bgbilling.kernel.integration.common.service

# Interface IntegrationService

public interface IntegrationService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteRegister(int registerType, int registerId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getLoadPatternList(int registerType)`
  `int`
  `loadRegister(String patternId, int registerType, String file, Date date, String title)`
  `void`
  `processRegister(int registerType, int registerId)`
  `Result<RegisterItem>`
  `registerItems(int registerId)`
  `void`
  `rollbackRegister(int registerType, int registerId)`
  `SearchResult<Register>`
  `searchRegistersRowList(int registerType, Period period)`

- ## Method Details

  - ### getLoadPatternList

    List<ru.bitel.bgbilling.common.model.KeyValue> getLoadPatternList(int registerType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRegistersRowList

    SearchResult<Register> searchRegistersRowList(int registerType, Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### loadRegister

    int loadRegister(String patternId, int registerType, String file, Date date, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRegister

    void deleteRegister(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerItems

    Result<RegisterItem> registerItems(int registerId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rollbackRegister

    void rollbackRegister(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processRegister

    void processRegister(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`